module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    'plugin:vue/vue3-essential',
    '@vue/standard'
  ],
  parserOptions: {
    parser: '@babel/eslint-parser'
  },
  rules: {
    'no-console': [
      process.env.NODE_ENV === 'production' ? 'error' : 'off',
      {
        allow: [
          // TODO - remove once we have some better error reporting
          'error',

          // TODO - remove once use vuex to replace console.info tracing of
          // API response times in SearchHelper.vue
          'info'
        ]
      }
    ],
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'comma-dangle': 'off',
    'eol-last': 'off',
    'no-multiple-empty-lines': 'off'
  }
}
